<template>
  <div id="page-control-panel-videos">
    <!-- Breadcrumb 
      <v-container>
        <v-row>
          <v-col cols="12" xs="12" sm="12" md="12">
            <BreadcrumbComponentes :items_breadcrumbs="items_breadcrumbs" />
          </v-col>
        </v-row>
      </v-container>-->

    <!-- Title and Searche -->
    <v-container class="mb-5">
      <v-row>
        <v-col cols="12" xs="12" sm="12" md="8">
          <h1 class="title-h2-signbank family-lato-black warning--text">
            Titulo

            <v-btn
              icon
              color="info"
              @click="
                view_video_explanatory_page = !view_video_explanatory_page
              "
            >
              <v-icon>mdi-hand-clap</v-icon>
            </v-btn>
          </h1>
        </v-col>

        <v-col cols="12" xs="12" sm="12" md="4">
          <v-text-field
            rounded
            outlined
            dense
            append-icon="mdi-magnify"
            v-model="filter.text_search"
          >
            <template v-slot:label>
              <span class="body-2-signbank family-openSans-regular">
                {{ $t("control_panel_pages_index.label_search") }}
              </span>
            </template>
          </v-text-field>
        </v-col>
      </v-row>
    </v-container>

    <!-- Card Explanatory Video 
    <v-container v-if="view_video_explanatory_page" class="mb-10">
      <v-row>
        <v-col cols="12" xs="12" sm="12" md="12">
          <ExplanatoryVideoCard />
        </v-col>
      </v-row>
    </v-container>-->

    <!-- Number views and Order -->
    <v-container class="mb-7">
      <v-row>
        <v-col cols="12" xs="12" sm="12" md="8">
          <h2 class="body-1-signbank family-openSans-bold system_grey_1--text">
            Texto 1 100
            <span
              class="body-1-signbank family-openSans-bold system_grey_1--text text-lowercase"
            >
              Texto 2
            </span>
          </h2>
        </v-col>

        <v-col cols="12" xs="12" sm="12" md="4">
          <div class="d-flex align-center justify-end order-page-index">
            <span
              class="caption-signbank mr-2 family-openSans-semi-bold text-uppercase system_grey_2--text"
            >
              {{ $t("control_panel_pages_index.order") }}
            </span>

            <v-select
              item-text="name"
              dense
              rounded
              hide-details
              item-value="filterBackend"
              :items="items_filter_order"
              :return-object="false"
              outlined
              style="max-width: 200px"
              v-model="filter.order_select"
            >
              <template v-slot:label>
                <span
                  class="body-2-signbank family-openSans-semi-bold text-uppercase info--text"
                >
                  <!-- [Apagar aqui depois] Colocar o nome do filtro que foi aplicado na api com a montagem da página -->
                  <!-- [Apagar aqui depois] Fazer as variações de idioma, Usar o this.$i18n -->
                  mais recente
                </span>
              </template>
            </v-select>
          </div>
        </v-col>
      </v-row>
    </v-container>

    <!-- Table -->
    <v-container>
      <v-card class="shadow-signbank">
        <v-card-text>
          <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Eaque unde
            animi voluptates suscipit illo labore atque inventore obcaecati, id
            enim provident accusamus magni et facere dolorem eius quos, autem
            quod.
          </p>
        </v-card-text>
      </v-card>
    </v-container>
  </div>
</template>
<script>
//import BreadcrumbComponentes from "@/components/navs/control-panel/global/BreadcrumbComponent.vue";
//import ExplanatoryVideoCard from "@/components/cards/global/video/ExplanatoryVideoCard.vue";

export default {
  layout: "control-panel",
  components: {
    //BreadcrumbComponentes,
    //ExplanatoryVideoCard,
  },
  asyncData() {
    return {
      items_breadcrumbs: [
        {
          text: "control_panel_pages_global.dashboard",
          disabled: false,
          href: "overview",
        },
        {
          text: "utils_categories.category_5",
          disabled: true,
          href: "videos",
        },
      ],
    };
  },

  data() {
    return {
      view_video_explanatory_page: false,
      filter: {
        text_search: "",
        order_select: "",
      },
    };
  },
};
</script>

<style>
#page-control-panel-videos .order-page-index .v-text-field--outlined fieldset {
  color: var(--info) !important;
}

#page-control-panel-videos .order-page-index .v-text-field--outlined i {
  color: var(--info) !important;
}
</style>
